---
title: "lastSegY"
excerpt: "Extract the 'y' axis value of the last line segment in the provided 2-d"
layout: manual
---

Extract the 'y' axis value of the last line segment in the provided 2-d

sketch.

```js
lastSegY(sketch: Sketch) -> number
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | The sketch whose line segment is being queried | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> line(end = [5, 0])
  |> line(end = [20, 5])
  |> line(end = [0, lastSegY(%)])
  |> line(end = [-15, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of lastSegY 0](data:image/png;base64,[encoded data, 65316 characters])


